## restricted-manager 0.20

=== Makefile ===
DOMAIN=restricted-manager

PO_FILES=$(wildcard po/*.po)
DESKTOP_FILES=$(basename $(wildcard */*.desktop.in))

all: po/$(DOMAIN).pot build-mo $(DESKTOP_FILES)

clean:
	rm -rf po/mo/
	rm -f po/$(DOMAIN).pot
	rm -f $(DESKTOP_FILES)

#
# i18n for po/*
#

# update the pot
po/$(DOMAIN).pot:
	cd po; intltool-update -p -g $(DOMAIN)

# merge the new stuff into the po files
merge-po: $(PO_FILES) po/$(DOMAIN.pot)
	cd po; intltool-update -r -g $(DOMAIN)

# create mo from po files
%.mo : %.po
	mkdir -p $(basename $(subst po/,po/mo/,$<))/LC_MESSAGES/ 
	msgfmt $< -o $(basename $(subst po/,po/mo/,$<))/LC_MESSAGES/$(DOMAIN).mo 

# generate all *.mo files
build-mo: $(patsubst %.po,%.mo,$(PO_FILES))

#
# i18n for *.desktop files
#

%.desktop : %.desktop.in
	intltool-merge -d po/ $< $@

.PHONY: all clean build-mo merge-po

=== debian/changelog ===
restricted-manager (0.20) feisty; urgency=low

  * RestrictedManager/nvidia.py: Override is_loaded() and check for the
    "nvidia" module also for legacy and new, since all three modules appear as
    just "nvidia" in lsmod. (LP: #105812)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 12 Apr 2007 10:35:08 +0200

restricted-manager (0.19) feisty; urgency=low

  [ Martin Pitt ]
  * debian/control: Add X-Vcs-Bzr.
  * autostart/restricted-manager.desktop.in: Fix capitalization. (LP: #103248)
  * RestrictedManager/core.py: Keep track of whether a module's enable status
    has changed throughout program runtime, add method is_changed().
  * restricted-manager: Only set status 'needs computer restart' if the module
    actually has been enabled/disabled. This avoids marking modules as 'needs
    computer restart' which haven't been touched, but were not loaded due to
    missing hardware (such as the commercial OSS drivers). (LP: #102468)
  * restricted-manager: Disable tree view while enabling/disabling a driver
    (which takes a long time for X.org drivers). (LP: #103129)
  * RestrictedManager/xorg_driver.py: Move DefaultHandler enable/disable calls
    after package installation and check, so that aborted package operations
    do not cause the module to get (un)blacklisted and the UI to become
    inconsistent. (LP: #104111)
  * RestrictedManager/nvidia.py: Add class NewNvidiaDriver for the new
    nvidia-glx-new driver package.

  [ Johan Kiviniemi ]
  * debian/apport_hook.py, debian/rules: Add an apport hook that attaches
    /etc/X11/xorg.conf and a list of connected devices to the bug report.
  * RestrictedManager/core.py: Also read the modalias overrides now provided
    by linux-restricted-modules.
  * modalias_override/{ath_hal,fglrx,nvidia}: Remove, since l-r-m provides
    them now.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 10 Apr 2007 14:09:39 +0200

restricted-manager (0.18) feisty; urgency=low

  * RestrictedManager/xorg_driver.py: Intercept ParseException and
    AttributeError when parsing xorg.conf, and display an error dilaog instead
    of crashing. (LP: #102052)
  * restricted-manager: Set gettext domain for the glade file to get a
    translated window title. (LP: #99357)
  * RestrictedManager/restricted22.png: Replace with a non-blurry version,
    thanks to Jef! (LP: #102641)
  * RestrictedManager/core.py, save_restricted_list(): If we encounter an
    exception during writing the cache file (e. g. out of space), unlink it,
    so that we ensure to never have broken cache files. (LP: #101883)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed,  4 Apr 2007 11:45:38 +0200

restricted-manager (0.17) feisty; urgency=low

  * debian/rules: Build with DH_PYCENTRAL=nomove, just to make double sure to
    circumvent #93795.
  * RestrictedManager/xorg_driver.py: Do not crash on empty lines in the
    Module section. (LP: #98579)
  * restricted-manager: Use the update-notifier reload icon instead of the
    stock Gnome 'refresh' one for consistency. Thanks to izi for the patch!
    (LP: #97726)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 30 Mar 2007 15:23:07 +0200

restricted-manager (0.16) feisty; urgency=low

  * restricted-manager: Add proper status text for 'not in use'. (LP: #97724)
  * restricted-manager: Do not show the confirm dialog when a driver cannot be
    changed anyway.
  * RestrictedManager/xorg_driver.py: Check if /etc/X11/xorg.conf exists, and
    if not, have can_change() return False. (LP: #97654)
  * restricted-manager: Check whether we have the correct l-r-m package
    installed and display an error dialog if not. (LP: #92854)
  * RestrictedManager/nvidia.py: Fix DefaultDepth to 24 when enabling the
    driver. (LP: #97735)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 29 Mar 2007 13:52:17 +0200

restricted-manager (0.15) feisty; urgency=low

  * debian/control: Use XS-Python-Version 'all' instead of 'current', since
    the latter seems to break quite often on upgrades. (see #93795)
  * applications/restricted-manager.desktop.in: Do not show for non-admins.
    (LP: #97163)
  * Add RestrictedManager/xorgconfig.py (stolen from kdeguidance):
    Parser/writer for X.org configuration files. Add author and copyright to
    debian/copyright.
  * RestrictedManager/xorgconfig.py: Change formatting a bit to make it more
    similar to what dexconf produces.
  * RestrictedManager/xorg_driver.py:
    - Use xorgconfig.py to mangle /etc/X11/xorg.conf directly instead of
      relying on consistent debconf values and using dexconf. This makes r-m
      work with custom configurations (including install scripts from
      nvidia/fglrx upstream packages) and avoids changing unrelated settings
      like keyboard/screen resolution/BusID etc.  (LP: #92836, LP: #94549,
      LP: #93075)
    - Back up the entire original config before enabling a driver. If it
      exists when disabling again, restore it entirely. (LP: #96474)
    - is_enabled(): Do not check for installed GLX library package any more
      (such as nvidia-glx), since they could be installed directly from
      upstream. Now only check the xorg.conf configuration. (LP: #94626)
    - Add {enable,disable}_config_hook() for nonstandard modifications to the
      X.org configuration.
  * RestrictedManager/fglrx.py: Use above *_config_hook() to add/remove the
    'Extensions' section and disable Composite. In previous versions, dexconf
    did that for us.
  * restricted-manager: Drop check for readability of debconf database, since
    we do not need it any more.
  * Some small UI improvements, thanks to izi!
    - Remove the redundant 'Enable' button, we already have the check boxes.
    - Display stock yes/no/reload icons in addition to the textual status.
    - Add window icon.
    - Do not update the tree model when cancelling enabling/disabling.
    - Make modal dialogs transient.
    - (LP: #97170)
  * RestrictedManager/core.py: Add a global variable


=== debian/control ===
Source: restricted-manager
Section: admin
Priority: optional
Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.38), python-central (>= 0.5.6), python-dev (>= 2.4), intltool
Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
Standards-Version: 3.7.2
XS-Python-Version: all
X-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/restricted-manager/trunk/

Package: restricted-manager
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, python-notify (>= 0.1.1-0ubuntu2), python-glade2, python-xdg, x11-common (>= 7.2-0ubuntu6), synaptic
Description: manage non-free hardware drivers
 Restricted Manager provides a Gnome user interface for configuring
 non-free hardware drivers, such as the Nvidia and ATI fglrx X.org
 and various Wireless LAN kernel modules.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM := pycentral
export DH_PYCENTRAL=nomove

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/langpack.mk

DEB_PYTHON_INSTALL_ARGS_ALL := --no-compile

install/restricted-manager ::
	install -m0644 -D RestrictedManager/restricted16.png \
		debian/$(cdbs_curpkg)/usr/share/icons/hicolor/16x16/apps/restricted-manager.png
	install -m0644 -D RestrictedManager/restricted22.png \
		debian/$(cdbs_curpkg)/usr/share/icons/hicolor/22x22/apps/restricted-manager.png
	install -m0644 -D RestrictedManager/restricted.png \
		debian/$(cdbs_curpkg)/usr/share/icons/hicolor/32x32/apps/restricted-manager.png

	install -m0644 -D debian/apport_hook.py \
		debian/$(cdbs_curpkg)/usr/share/apport/package-hooks/$(cdbs_curpkg).py

binary-install/restricted-manager ::
	dh_iconcache -p$(cdbs_curpkg)

## restricted-manager 0.33.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 DOMAIN=restricted-manager
 
 PO_FILES=$(wildcard po/*.po)
-DESKTOP_FILES=$(basename $(wildcard */*.desktop.in))
+DESKTOP_FILES=$(basename $(wildcard */*.desktop.in) $(wildcard */kde/*.desktop.in))
 
 all: po/$(DOMAIN).pot build-mo $(DESKTOP_FILES)

=== debian/changelog ===
restricted-manager (0.33.1) gutsy; urgency=low

  * Make the dependencies on the python modules pre-dependencies to ensure
    that the modules are available as soon as possible.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Oct 2007 14:00:05 +0200

restricted-manager (0.32) gutsy; urgency=low

  * RestrictedManager/{manager.glade,RestrictedManagerGtk.py}: Add a "Help"
    button and connect it to "yelp ghelp:hardware#restricted-manager", which
    provides a nice intro to restricted drivers. (LP: #134069)
  * bcm43xx.py, sl_modem.py: Uniformly name the variables for the driver
    package to "driver_package".
  * core.py: Add package_available() which uses apt-cache show to check
    whether a package is available for installation at all.
  * RestrictedManagerCommon.py, check mode: If the handler has a
    driver_package which is not available for installation, do not advertise
    it with a notification. (Gross Hacks R us, but it is good enough and
    unintrusive for Gutsy, and r-m is to be rewritten anyway in Hardy). 
    (LP: #134918)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 26 Sep 2007 13:09:26 +0200

restricted-manager (0.31) gutsy; urgency=low

  [ Martin Pitt ]
  * RestrictedManager/{RestrictedManagerGtk.py,manager.glade}: Show the
    rationale for a driver as a tooltip. (LP: #134019)
  * RestrictedManager/core.py: Add DefaultHandler.is_hw_available(): This can
    be implemented if a handler has an additional way of detecting the
    presence of hardware and modalias matching is not sufficient. Add proper
    support for it to connected_hardware().
  * Add RestrictedManager/handlers/sl_modem.py: Handler for software modems
    supported by sl-modem-daemon. (LP: #125015)
  * Replaced icons by the excellently looking ones from Lapo Calamandrei.
    These are now GPLed and available as SVG (whereas the previous ones were
    CC-BY-SA, stolen from another project, and only available as bitmap).
    (LP: #140557)

  [ Matteo Zandi ]
  * RestrictedManager/RestrictedManagerGtk.py: Fix function name for firmware
    check. (LP: #130789)
  * RestrictedManager/RestrictedManagerGtk.py: Make "Browse" button of
    firmware dialog work instead of causing the app to hang. (LP: #135000)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 18 Sep 2007 13:24:02 +0200

restricted-manager (0.30) gutsy; urgency=low

  [ Martin Böhm ]
  * RestrictedManagerGtk.py: Replaced the idle_function pointer with a direct
    call to self.gtk_idle(). We do not need this indirection any more.
  * RestrictedManagerKDE.py: Fix crash in mouseClicked(). (LP: #131483)
  * Add libpythonize0 as a dependency for r-m-kde. (LP: #130737)
  * Moved the guidance-backends dependency from restricted-manager to
    r-m-core. (LP: #132581)

  [ Martin Pitt ]
  * Turn the "description" handler property into a function. Properties are a
    pain when trying to call the parent method. (LP: #133218)
  * RestrictedManagerCommon.py: Do not give a "new drivers available"
    notification for drivers which are already enabled.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 24 Aug 2007 09:24:34 +0200

restricted-manager (0.29) gutsy; urgency=low

  * Install autostart files to xdg standard directory, so they get used

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 18 Aug 2007 00:03:21 +0100

restricted-manager (0.28) gutsy; urgency=low

  * Change python-qt3 build dependency to python-qt-dev, now that the location
    of pyqtconfig has been fixed.
  * RestrictedManager/RestrictedManagerCommon.py: Revert "nvidia hardware not
    available" dialog box to a simple print. It is merely for debugging and
    not supposed to be displayed in the UI. (LP: #131141)
  * Make --check-composite work with legacy and new nvidia driver, too.
  * debian/control: Drop redundant and broken l-r-m dependencies to fix
    installability on powerpc.
  * RestrictedManager/core.py: Fix crash when a module description is not
    available. (LP: #131489)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 14 Aug 2007 11:48:27 +0200

restricted-manager (0.27) gutsy; urgency=low

  [ Martin Pitt]
  * Move RestrictedManager/backends/core.py to RestrictedManager/core.py.
  * Rename RestrictedManager/backend to RestrictedManager/handlers.
  * RestrictedManager/handlers/lrm_driver.py: Do not use private method from
    parent class.
  * RestrictedManager/core.py: Support grouping of modules:
    - Add aggregate handler HandlerGroup.
    - Add read_grouping_map() which parses files in
      /usr/share/restricted-manager/groups/ which define groups of modules and
      their properties (module name regexp, description, optional rationale).
    - get_handlers(): Hook grouping into this central function.
    (Point 3 of restricted-manager-improvements spec)
  * Add groups/vmware: Define a handler group for the three VMWare module.
    Install it in setup.py.
  * RestrictedManager/handlers/bcm43xx.py: Update the default firmware
    download URL, the previous one is 404.

  [ Martin Böhm ]
  * Resurrected the "repository available" fix which got erroneously dropped
    during merge.
  * Fixed error_invalid_text -> error_fw_invalid_text typo. (LP: #131403)
  * Improve documentation of {install,remove}_package().

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 13 Aug 2007 21:42:20 +0200

restricted-manager (0.26) gutsy; urgency=low

  * debian/control: l-r-m is called -powerpc on ppc, not -generic. Also drop
    dependency to a recommendation.
  * RestrictedManagerCommon.py: Change the hardcoded notification
    title/text/action strings in the Notification class to be arguments of
    launch_notification(), so that we can use it for other kinds of
    notificatinos, too.
  * core.py: Generalize {load,save}_used_list() to {load,save}_cache_list(),
    and change RestrictedManagerCommon.py accordingly. This allows us to reuse
    those function for other lists that we want to store.
  * RestrictedManagerCommon.py, --check: Keep track (in a new cache file) of


=== debian/control ===
Source: restricted-manager
Section: admin
Priority: optional
Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.38), python-central (>= 0.5.6), python-dev (>= 2.5), intltool, python-kde3-dev (>= 3.16.0-0ubuntu11), pykdeextensions (>= 0.4.0-4ubuntu1), python-sip4-dev (>= 4.6-1ubuntu1), kdelibs4-dev (>= 4:3.5.7-1ubuntu12), libtool, libpythonize0-dev, python-qt-dev
Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
Standards-Version: 3.7.2
XS-Python-Version: current
X-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/restricted-manager/trunk/

Package: restricted-manager-core
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, python-xdg, guidance-backends
Recommends: linux-restricted-modules-generic [i386 amd64] | linux-restricted-modules-386 [i386] | linux-restricted-modules-powerpc [powerpc]
Conflicts: restricted-manager (<< 0.25)
Replaces: restricted-manager (<< 0.25)
Description: manage non-free hardware drivers
 Restricted Manager provides a user interface for configuring
 non-free hardware drivers, such as the Nvidia and ATI fglrx X.org
 and various Wireless LAN kernel modules.
 .
 This package contains the common data shared between the frontends.

Package: restricted-manager
Architecture: all
XB-Python-Version: ${python:Versions}
Pre-Depends: python-notify (>= 0.1.1-0ubuntu2), python-glade2, python-xdg
Depends: ${python:Depends}, restricted-manager-core (= ${binary:Version}), synaptic
Description: manage non-free hardware drivers - GNOME frontend
 Restricted Manager provides a user interface for configuring
 non-free hardware drivers, such as the Nvidia and ATI fglrx X.org
 and various Wireless LAN kernel modules.
 .
 This package contains the GNOME frontend.


Package: restricted-manager-kde
Architecture: any
XB-Python-Version: ${python:Versions}
Pre-Depends: python-kde3 (>= 3.16.0-0ubuntu11), python-xdg
Depends: ${python:Depends}, restricted-manager-core (= ${binary:Version}), adept-batch, libpythonize0
Description: manage non-free hardware drivers - KDE frontend
 Restricted Manager provides a user interface for configuring
 non-free hardware drivers, such as the Nvidia and ATI fglrx X.org
 and various Wireless LAN kernel modules.
 .
 This package contains the KDE frontend and systemsettings module.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM := pycentral
export DH_PYCENTRAL=nomove

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/langpack.mk

DEB_PYTHON_INSTALL_ARGS_ALL := --no-compile

install/restricted-manager ::
	install -m0644 -D debian/apport_hook.py \
		debian/$(cdbs_curpkg)/usr/share/apport/package-hooks/$(cdbs_curpkg).py

	install -m0755 -D debian/restricted-manager.ubiquity \
		debian/$(cdbs_curpkg)/usr/lib/ubiquity/target-config/31restricted_manager_pkgs

install/restricted-manager-kde ::
	mkdir -p debian/$(cdbs_curpkg)/var/lib/python-support/python2.5
	ln -s /usr/lib/python2.5/site-packages/RestrictedManager/RestrictedManagerKDE.py \
          debian/$(cdbs_curpkg)/var/lib/python-support/python2.5/RestrictedManagerKDE.py
binary-install/restricted-manager ::
	dh_iconcache -p$(cdbs_curpkg)

clean::
	rm -f install_log.txt
